WordPress.org

Ready to get started?Download WordPress

Forums

I need a stable theme compatible with WP 3.5 (4 posts)

  1. DarioAngelo
    Member
    Posted 1 year ago #

    I need a stable theme compatible with WP 3.5 for a blog with photo and historical exploration contents.
    I like lots of widgets and editability.
    Please share your experience with me

  2. leejosepho
    Member
    Posted 1 year ago #

    I recently switched to Twenty Twelve and it is taking me a while to get it working reasonably well with older browsers, but I had less trouble with Twenty Eleven and it has plenty of room for all the widgets you might ever want or need.
    http://wordpress.org/extend/themes/twentyeleven

  3. WPyogi
    Volunteer Moderator
    Posted 1 year ago #

    Responsive and Suffusion are widely used, well supported and very customizable. So you might check those out too.

  4. DarioAngelo
    Member
    Posted 1 year ago #

    Responsive looks impressive but has a lot of strange solutions with very poor support in tutorials, especially their controversial main page - God knows how to set my posts 'timeline' as the front page, which is not the only problem...
    So, please, either give some hints about some other nifty themes or a link to good tutorials.
    Another problem is when you switch to another theme and your time-consuming configuration with the previous theme is gone... Unless there's improvement in this with the 3.5 version...

Topic Closed

This topic has been closed to new replies.

About this Topic